Atomic ruleset installation fails with the error: Failed to install the ModSecurity rule set

Created:

2017-03-02 11:03:48 UTC

Modified:

2017-08-08 13:13:06 UTC

5

Was this article helpful?


Have more questions?

Submit a request

Atomic ruleset installation fails with the error: Failed to install the ModSecurity rule set

Applicable to:

  • Plesk for Linux

Symptoms

Atomic Basic ModSecurity ruleset update/installation fails with the error:

Impact: Atomic ruleset installation will fail with error: “
Failed to install the ModSecurity rule set:
modsecurity_ctl failed: gpg: key 4520AFA9: "Atomicorp (Atomicorp Official Signing Key) <support@atomicorp.com>" not changed
gpg: Total number processed: 1
gpg: unchanged: 1
gpg: Signature made Thu Feb 9 04:26:12 2017 +07 using RSA key ID 4520AFA9
gpg: BAD signature from "Atomicorp (Atomicorp Official Signing Key) <support@atomicorp.com>"
Command '['gpg', '--homedir', '/var/lib/plesk/modsec/.gnupg', '--verify', '/tmp/tmpwEIy1_/aum-plesk-installer.asc']' returned non-zero exit status 1 Unable to download tortix rule set

Cause

GPG signature was updated by Atomicorp and did not match that was used by Plesk. It was solved on 02/03/2017.

Resolution

Update Atomic Basic ModSecurity rule set:

go to Plesk > Tools & Settings > Web Application Firewall (ModSecurity) > Settings tab and press OK .

Or enable the rule set:

go to Plesk > Tools & Settings > Web Application Firewall (ModSecurity) > On > select Atomic Basic ModSecurity and press OK .

Have more questions? Submit a request
Please sign in to leave a comment.